---
search:
  tags:
    - Wallets
    - PUT
seo:
  description: >-
    Only the fields matching the program's own type are applied — points_*
    fields for… Reference for the PUT /wallet_programs/{id} endpoint in the
    Bolder API v2.
sidebar:
  label: Update a wallet program's settings
  badge: PUT
title: Update a wallet program's settings
type: openapi-operation
---
Only the fields matching the program's own `type` are applied — `points_*` fields for a `PointsProgram`, `credits_*` for a `CreditProgram`.

`PUT /wallet_programs/{id}`

**Request body** (`application/json`)

- `name` (string)
- `points_name` (string)
- `points_min` (integer)
- `points_duration` (string)
- `points_divider` (integer)
- `points_divider_scope` (string)
- `credits_renewal` (string)
- `credits_reserve` (boolean)

Request body example:

```json
{
  "points_name": "coins",
  "points_min": 1000
}
```

**Responses**

- `200` — Updated wallet program

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "type": "points",
  "name": "string",
  "status": "active",
  "points_name": "string",
  "points_min": 0,
  "points_duration": "string",
  "points_divider": 0,
  "points_divider_scope": "cart_total",
  "credits_renewal": "manual",
  "credits_reserve": true,
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
